> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/networking/zga/accelerator/modifyacceleratorrequestheader.md).

# ModifyAcceleratorRequestHeader

## 1. 接口描述

本接口(ModifyAcceleratorRequestHeader)用于修改加速器回源请求头。

{% hint style="info" %}
**注意事项**

* 仅支持http/https加速协议配置回源请求头。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称          | 必选 | 类型     | 描述      |
| ------------- | -- | ------ | ------- |
| acceleratorId | 是  | String | 加速器Id   |
| header        | 是  | Map    | 回源请求头信息 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                         |
| --------- | ------ | ------------------------------------------ |
| requestId | String | 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 requestId。 |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **修改加速器回源请求头**

```json
POST /api/v2/zga HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyAcceleratorRequestHeader
<Common Request Params>

Request:
{
    "acceleratorId": "acceleratorIdxxxxx",
    "header": {
        "zga": "zenlayer"
    }
}


Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                               | 说明              |
| ------- | ------------------------------------------------- | --------------- |
| 400     | HEADER\_MUST\_CONFIGURED\_REQUIRED\_L7\_LISTENERS | header必须配置L7监听器 |
